about summary refs log tree commit diff
path: root/contrib
diff options
context:
space:
mode:
authorMichael Biebl <biebl@debian.org>2025-02-28 17:38:21 +0100
committerMichael Biebl <biebl@debian.org>2025-02-28 17:38:21 +0100
commit625e8ce60e826bde943487b8238884a9232e4562 (patch)
tree4c1f0f88c466c69c27fc9ffbe787cc7d0964d630 /contrib
parent8bdf070ff046f482f6eb5e2b15ebc216f5d1e3da (diff)
New upstream version 1.52.0 upstream/1.52.0
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/fedora/REQUIRED_PACKAGES16
-rwxr-xr-xcontrib/fedora/rpm/build.sh4
-rwxr-xr-xcontrib/scripts/nm-ci-patch-gtkdoc.sh40
3 files changed, 10 insertions, 50 deletions
diff --git a/contrib/fedora/REQUIRED_PACKAGES b/contrib/fedora/REQUIRED_PACKAGES
index d47e6098..1bb7ec6b 100755
--- a/contrib/fedora/REQUIRED_PACKAGES
+++ b/contrib/fedora/REQUIRED_PACKAGES
@@ -25,6 +25,12 @@ install() {
     fi
 }
 
+install_ignore_missing() {
+    for p; do
+        install "$p" || :
+    done
+}
+
 if test "$NM_NO_EXTRA" != 1; then
     # these packages are convenient for developing, but not necessary
     # for CI testing.
@@ -82,21 +88,15 @@ install \
     which \
     #end
 
-# Some packages don't exist in certain distributions. Ignore errors
-# installing them, but still drag them in when available.
-install --skip-unavailable \
+# some packages don't exist in certain distributions. Install them one-by-one, and ignore errors.
+install_ignore_missing \
     black \
-    dbus-python \
     dhclient \
     iproute-tc \
     libasan \
     libpsl-devel \
     libubsan \
     libvala-devel \
-    pexpect \
-    pygobject3-base \
-    python-gobject-base \
-    python36-pexpect \
     qt-devel \
     teamd-devel \
     vala-devel \
diff --git a/contrib/fedora/rpm/build.sh b/contrib/fedora/rpm/build.sh
index f46b9ba5..4a89a6b4 100755
--- a/contrib/fedora/rpm/build.sh
+++ b/contrib/fedora/rpm/build.sh
@@ -127,7 +127,7 @@ if [ -n "$SOURCE" ]; then
     [[ "$SOURCE_FROM_GIT" == 1 ]] && die "Cannot set both \$SOURCE and \$SOURCE_FROM_GIT=1"
     SOURCE_FROM_GIT=0
 elif [[ "$SOURCE_FROM_GIT" != "1" ]]; then
-    SOURCE="$(ls -1 "$GITDIR/NetworkManager-${VERSION}.tar."* 2>/dev/null | head -n1)"
+    SOURCE="$(ls -1 "$GITDIR/NetworkManager-${VERSION}.tar."* 2>/dev/null | head -n1 || :)"
     if [[ -z "$SOURCE" ]]; then
         [[ "$SOURCE_FROM_GIT" == "0" ]] && die "Either set \$SOURCE or set \$SOURCE_FROM_GIT=1"
         SOURCE_FROM_GIT=1
@@ -237,7 +237,7 @@ rpmbuild --define "_topdir $TEMP" $RPM_BUILD_OPTION "$TEMPSPEC" $NM_RPMBUILD_ARG
 LS_EXTRA=()
 
 if [ "$SIGN_SOURCE" = 1 ]; then
-    SIGNKEY="$(git config --get user.signingkey)"
+    SIGNKEY="$(git config --get user.signingkey || :)"
     if [ "$SIGNKEY" != "" ]; then
         SIGNKEY="--local-user $(printf '%q' "$SIGNKEY")"
     fi
diff --git a/contrib/scripts/nm-ci-patch-gtkdoc.sh b/contrib/scripts/nm-ci-patch-gtkdoc.sh
deleted file mode 100755
index e72a0a8f..00000000
--- a/contrib/scripts/nm-ci-patch-gtkdoc.sh
+++ /dev/null
@@ -1,40 +0,0 @@
-#!/bin/bash
-
-# patch gtk-doc for https://gitlab.gnome.org/GNOME/gtk-doc/merge_requests/2
-
-cd /
-
-patch -f -p 1 --fuzz 0 --reject-file=- <<EOF
-diff --git a/usr/share/gtk-doc/python/gtkdoc/scan.py b/usr/share/gtk-doc/python/gtkdoc/scan.py
-index f1f167235ab2e4c62676fbcfb87ebbe55c95b944..b59dd17abfa5f42b7bb06d239f9c78e5efffbf5d 100644
---- a/usr/share/gtk-doc/python/gtkdoc/scan.py
-+++ b/usr/share/gtk-doc/python/gtkdoc/scan.py
-@@ -427,20 +427,26 @@ def ScanHeader(input_file, section_list, decl_list, get_types, options):
-             elif m9:
-                 # We've found a 'typedef struct _<name> <name>;'
-                 # This could be an opaque data structure, so we output an
-                 # empty declaration. If the structure is actually found that
-                 # will override this.
-                 structsym = m9.group(1).upper()
-                 logging.info('%s typedef: "%s"', structsym, m9.group(2))
-                 forward_decls[m9.group(2)] = '<%s>\n<NAME>%s</NAME>\n%s</%s>\n' % (
-                     structsym, m9.group(2), deprecated, structsym)
- 
-+                bm = re.search(r'^(\S+)(Class|Iface|Interface)\b', m9.group(2))
-+                if bm:
-+                    objectname = bm.group(1)
-+                    logging.info('Found object: "%s"', objectname)
-+                    title = '<TITLE>%s</TITLE>' % objectname
-+
-             elif re.search(r'^\s*(?:struct|union)\s+_(\w+)\s*;', line):
-                 # Skip private structs/unions.
-                 logging.info('private struct/union')
- 
-             elif m10:
-                 # Do a similar thing for normal structs as for typedefs above.
-                 # But we output the declaration as well in this case, so we
-                 # can differentiate it from a typedef.
-                 structsym = m10.group(1).upper()
-                 logging.info('%s:%s', structsym, m10.group(2))
-EOF
-